Routes
You're reading version 2024-06-01, which is not the latest. The latest is 2026-04-01: open the 2026-04-01 introduction.
Add collection contact form input
POSThttps://api.insurely.com/wealth/collection/{collectionId}/add-contact-form-input
Add required contact form input fields to a collection. The required input fields are sent as extraInformation in the status response message. The collection will have the status `CONTACT_FORM_PENDING` in this case.
Request
Path Parameters
collectionIdstring
Header Parameters
Insurely-Versionstring
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
Possible Enum values are
2024-06-01.Request Body
Schema not found
Responses
Contact form input successfully added
cURL
curl https://api.insurely.com/wealth/collection/{collectionId}/add-contact-form-input \
-H "authorization-token: <authorization-token>" \
-H "Insurely-Version: 2024-06-01" \
-H "Content-Type: application/json" \
-d '[
{
"input": "test@gmail.com",
"inputType": "EMAIL"
}
]' \
-X POST